%global modulename is-descriptor

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-is-descriptor
Version:        1.0.2
Release:        1%{?dist}
Summary:        Returns true if a value has the characteristics of a valid JavaScript descriptor. Works for data descriptors and accessor descriptors.

License:        MIT
URL:            https://github.com/jonschlinkert/is-descriptor
Source0:        https://registry.npmjs.org/is-descriptor/-/is-descriptor-1.0.2.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(is-accessor-descriptor) >= 1.0.0 with npmlib(is-accessor-descriptor) < 2.0.0))
BuildRequires:  ((npmlib(is-data-descriptor) >= 1.0.0 with npmlib(is-data-descriptor) < 2.0.0))
BuildRequires:  ((npmlib(kind-of) >= 6.0.2 with npmlib(kind-of) < 7.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Returns true if a value has the characteristics of a valid JavaScript descriptor. Works for data descriptors and accessor descriptors.

%package 1.0.2
Summary:        Returns true if a value has the characteristics of a valid JavaScript descriptor. Works for data descriptors and accessor descriptors.


%description 1.0.2
Returns true if a value has the characteristics of a valid JavaScript descriptor. Works for data descriptors and accessor descriptors.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 1.0.2
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Tue Nov 27 2018 npm2srpm <dshea@redhat.com> - 1.0.2-1
- Package automatically generated by npm2srpm
